[PACKAGE]: ../../raw/2.1.x/mkp/cisco_flash-0.3.0-20230607.mkp "cisco_flash-0.3.0-20230607.mkp"
# Cisco flash

Collection of plugins for Cisco flash

*  *cisco_flash*: monitors Cisco flash partitions
*  *inv_cisco_flash*: Inventory plugin for Cisco flash devices

---
---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, alway check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check info *cisco_flash*

* *service*: this check will create the service *Cisco flash \<parition name\>* for each partition 
* *state*: 
    * **warning**/**critical** if the space used above the configured levels (default 85/90%)
    * **warning**
        * when the space left on the partiton is less then the *lowspacenotifythreshold*
        * if the device needs erasure
* *wato*: you can configure warning/critical level in percent of used space
* *perfdata*: 
    * space used in MB and %
    * \# of files on the partition

---
### Sample output

![sample output](/img/sample.png?raw=true "sample output")

---
### Inventory pugin info *inv_cisco_flash*
Adds infromations about flash devices, partitions and chips to the inventory

* *wato*:
    *  you can disable the 3 parts of the inventory
    *  you can remove not necessary columns from the inventory


---
### Sample inventory

![sample inventory](/img/sample_inventory.png?raw=true "sample inventory")

